.jobOffer-hero {
    position: relative;
}

.jobOffer-hero__image {
    position: relative;
    height: 500px;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    box-sizing: border-box;
}

.jobOffer-hero__content {
    /*position: absolute;*/
    display: flex;
    flex-direction: column;
    padding: 20px;
    height: 100%;
}

.jobOffer-hero__header {
    display: flex;
    flex-wrap: wrap;
    flex-grow: 1;
}

.jobOffer-hero__logo img {
    height: 26px;
}

.jobOffer-hero__social {
    display: flex;
    margin-left: auto;
}

.jobOffer-hero__link {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    background-color: #fff;
}

.jobOffer-hero__link img {
    max-width: 20px;
    max-height: 20px;
}

.jobOffer-hero__link:first-child {
    margin-right: 20px;
}

.jobOffer-hero__title {
    display: none;
    color: #fff;
    margin: 40px 0px;
}

.jobOffer-button,
.jobOffer-button--hero,
.jobOffer-button--banner,
.jobOffer-button--extra,
.jobOffer-button--offers {
    display: flex;
}

.jobOffer-button a,
.jobOffer-button--hero a,
.jobOffer-button--banner a,
.jobOffer-button--extra a,
.jobOffer-button--offers a {
    text-align: center;
    background-color: #fff;
    border-radius: 4px;
    line-height: 2.2rem;
    padding: 9px 26px;
    font-weight: 600;
    color: #2d7e17;
    text-decoration: none;
}

.jobOffer-button--hero a {
    flex: 1;
}

.jobOffer-button--banner {
    position: absolute;
    bottom: 20px;
    right: 20px;
    left: 20px;
}

.jobOffer-button--banner a {
    flex: 1;
}

.jobOffer-button--extra a {
    background-color: #2d7e17;
    color: #fff;
    flex: 1;
}

.jobOffer-button--offers {
    margin-top: 50px;
}

.jobOffer-button--offers a {
    flex: 1;
    background-color: #000;
    color: #fff;
}

.jobOffer-content {
    padding: 0px 15px;
}

.jobOffer-inner h1,
.jobOffer-inner img,
.jobOffer-inner h2,
.jobOffer-inner-title {
    margin: 50px 0px;
}

.jobOffer-inner img {
    border-radius: 4px;
}

.jobOffer-inner p,
.jobOffer-inner h3 {
    margin: 16px 0px;
}

.jobOffer-boxes {
    margin: 50px -10px;
}

.jobOffer-box {
    margin: 20px 10px;
}

.jobOffer-box__content {
    display: flex;
    flex-direction: column;
    padding: 20px;
    border-radius: 4px;
    background-color: #2d7e17;
    color: #fff;
    height: 100%;
}

.jobOffer-box__content h4 {
    margin-top: 12px;
}

.jobOffer-banner {
    position: relative;
    margin: 50px 0px;
}

.jobOffer-banner img {
    border-radius: 4px;
}

.jobOffer-banner h3 {
    position: absolute;
    top: 20px;
    left: 20px;
    right: 20px;
    text-align: center;
    color: #fff;
}

.jobOffer-contact {
    margin: 50px 0px;
}

.jobOffer-contact h4 {
    margin-bottom: 40px;
}

.jobOffer-contact__header {
    margin-bottom: 30px;
}

/* Targeting SECOND contactTitle element: "Tekkis küsimusi? Võta meiega julgelt ühendust!"*/
.jobOffer-contact__header h4:first-child {
    display: none;
}

.jobOffer-contact__header h4:nth-child(2) {
    margin-bottom: 10px;
}

.jobOffer-contact__header small {
    color: #2d7e17;
}

.jobOffer-contact__links {
    margin-top: 20px;
}

.jobOffer-contact__links p a {
    text-decoration: none;
    color: #000;
    margin-left: 5px;
}

.jobOffer-contact__image img {
    border-radius: 4px;
}

.jobOffer-extra {
    margin: 50px 0px;
}

.jobOffer-extra__item {
    margin-top: 20px;
    padding: 30px 20px;
    border-radius: 4px;
    border: 1px solid #e2e2e2;
}

.jobOffer-extra__item h4 {
    margin-bottom: 20px;
}

.rl-editor.editor.editor-no-value {
    border: 1px solid #000;
}

@media screen and (min-width: 640px) {
    .jobOffer-hero__title {
        display: block;
        line-height: 6rem;
    }

    .jobOffer-hero__title.is-landing {
        width: 100%;
    }

    .jobOffer-hero__logo img {
        height: 46px;
    }

    .jobOffer-hero__link {
        width: 46px;
        height: 46px;
    }

    .jobOffer-hero__image {
        height: 650px;
    }

    .jobOffer-inner h1 {
        display: none;
    }

    .jobOffer-contact__container {
        display: flex;
        flex-direction: row-reverse;
    }

    .jobOffer-contact__header {
        display: flex;
        flex-direction: column;
        flex: 0 0 50%;
        margin-bottom: 0px;
    }

    .jobOffer-contact__image {
        flex: 0 1 50%;
        padding-right: 20px;
    }

    /* Targeting FIRST contactTitle element: "Tekkis küsimusi? Võta meiega julgelt ühendust!"*/
    .jobOffer-contact > h4:first-child {
        display: none;
    }

    /* Targeting SECOND contactTitle element: "Tekkis küsimusi? Võta meiega julgelt ühendust!"*/
    .jobOffer-contact__header h4:first-child {
        display: block;
        flex: 1;
    }

    .jobOffer-extra__item {
        display: flex;
        align-items: center;
    }

    .jobOffer-extra__item h4 {
        flex: 1;
        padding-right: 30px;
        margin-bottom: 0px;
    }
}

@media screen and (min-width: 769px) {
    .jobOffer-boxes {
        display: flex;
    }

    .jobOffer-box {
        flex: 0 1 33.33%;
    }

    .jobOffer-button a,
    .jobOffer-button--hero a,
    .jobOffer-button--banner a,
    .jobOffer-button--extra a,
    .jobOffer-button--offers a {
        padding: 12px 26px;
    }

    .jobOffer-banner h3 {
        top: 40px;
        left: 60px;
        right: 60px;
    }

    .jobOffer-button--banner {
        justify-content: center;
        left: 60px;
        right: 60px;
        bottom: 40px;
    }

    .jobOffer-button--banner a {
        flex: none;
    }

    /*.jobOffer-contact__container {*/
    /*    padding: 0 30px 0 30px;*/
    /*}*/
}

@media screen and (min-width: 1024px) {
    .jobOffer-container {
        display: flex;
        max-height: 100vh;
    }

    .jobOffer-hero {
        flex: 0 0 50vw;
        box-sizing: border-box;
    }

    .jobOffer-hero__content {
        padding: 60px;
    }

    .jobOffer-hero__image {
        height: 100vh;
        width: 50vw;
        box-sizing: border-box;
    }

    .jobOffer-content {
        padding: 0px 30px 0px 30px;
        flex: 0 0 50vw;
        box-sizing: border-box;
        overflow-y: scroll;
    }

    .jobOffer-inner h1,
    .jobOffer-inner img,
    .jobOffer-inner h2,
    .jobOffer-inner-title {
        margin: 60px 0px;
    }

    .jobOffer-boxes {
        margin: 20px -10px 40px -10px;
    }

    .jobOffer-banner {
        margin: 60px 0px;
    }

    .jobOffer-contact {
        margin: 60px 0px;
    }

    .jobOffer-extra {
        margin: 60px 0px 60px 0px;
    }

    .jobOffer-extra__item {
        margin-top: 30px;
    }
}

@media screen and (min-width: 1200px) {
    .jobOffer-content {
        padding: 20px 60px 0px 60px;
    }

    .jobOffer-inner h1,
    .jobOffer-inner img,
    .jobOffer-inner h2,
    .jobOffer-inner-title {
        margin: 80px 0px;
    }

    .jobOffer-boxes {
        margin: 20px -10px 60px -10px;
    }

    .jobOffer-banner {
        margin: 80px 0px;
    }

    .jobOffer-contact {
        margin: 80px 0px;
    }

    .jobOffer-extra__item {
        padding: 40px;
    }

    .jobOffer-contact__image {
        padding-right: 40px;
    }

    .jobOffer-banner h3 {
        top: 40px;
        left: 85px;
        right: 85px;
    }

    /*.jobOffer-contact__container {*/
    /*    padding: 0;*/
    /*}*/
}

@media screen and (min-width: 1600px) {
    .jobOffer-content {
        padding: 20px 100px 0px 100px;
    }
}
